package com.asset.common;

public enum CodeEnum {

    SUCCESS(0,"操作成功！"),
    //---系统错误返回码-----
    SERVER_ERROR(10001,"服务器错误"),
    URL_ERROR(10002,"接口不存在"),
    PARAMETER_ERROR(10003,"参数不正确,校验失败"),
    ERROR(10004,"操作失败"),
    AUTH_ERROR(10005,"未授权"),
    UN_LOGIN(10006,"未登录"),

    //---用户操作返回码  2xxxx----
    LOGIN_SUCCESS(20001,"登录成功!"),
    LOGIN_ERROR(20002,"用户名或密码错误!"),
    ISEXITE_ERROR(20003,"账号已经存在!"),
    LOGINOUT_SUCCESS(20004,"成功!");



    //---资产管理操作返回码  3xxxx----


    //---资产盘点操作返回码  4xxxx----


    //---资产报表操作返回码  5xxxx----



    private int key;
    private String value;

    private CodeEnum(int key, String value) {
        this.key = key;
        this.value = value;
    }
    //根据ID值获取对应的描述
    public static String getById(Integer id) {
        for (CodeEnum typeEnum : values()) {
            if (typeEnum.getKey() == id) {
                return typeEnum.value;
            }
        }
        return null;
    }

    public int getKey() {
        return key;
    }

    public void setKey(int key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

}
