package com.asset.common;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.*;

/*
 * @author xiaol
 * @date 2019/11/21
 */
public class Common {

    //获取项目地址
    public static String getUrl(HttpServletRequest request){
        StringBuffer url = request.getRequestURL();
        String tempContextUrl = url.delete(url.length() - request.getRequestURI().length(), url.length()).append(request.getServletContext().getContextPath()).append("/").toString();
        return tempContextUrl;
    }

    //获取当前时间(日期格式)
    public static String getDate(){
        SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");//设置日期格式
        return df.format(new Date());
    }

    //获取当前时间(时间戳格式)
    public static long getTime(){
        return new Date().getTime();
    }

    //时间戳转换成字符串
    public static String getDateToString(long time) {
        Date d = new Date(time);
        SimpleDateFormat sf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        return sf.format(d);
    }
    //字符串转换成时间戳
    public static long getStringToDate(String time) {
        SimpleDateFormat sf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
         Date date = new Date();
         try{
                 date = sf.parse(time);
             } catch(ParseException e) {
                 e.printStackTrace();
             }
         return date.getTime();
     }

    //字符串转换数组
    public static String getStringToArray(String str) {
        String[] arr = str.split(",");
        return Arrays.toString(arr);
    }

}
