package com.asset.domain;

import com.asset.common.Insert;
import com.asset.common.Login;
import com.asset.common.Special;
import com.asset.common.Update;
import lombok.Data;
import javax.persistence.Id;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;
import java.util.List;

/*
 * @author xiaol
 * @date 2020/02/28
 */
@Data
public class User {
    @Id
    private Integer id;
    /**
     * 账号
     */
    @NotEmpty(message = "{name.NotEmpty}", groups = {Insert.class,Login.class})
    private String name;
    /**
     * 密码
     */
    @NotEmpty(message = "{password.NotEmpty}", groups = {Insert.class,Special.class,Login.class})
    @Pattern(regexp="^[a-zA-Z0-9]+$",message="{password.Pattern}",groups = {Insert.class,Special.class,Login.class})
    @Size(min=6,max=20,message="{password.size}",groups = {Insert.class,Special.class,Login.class})
    private String password;

    private String title;

    private String sex;

    private Long mobile;

    private String email;

    private Integer state;

    private String province;

    private Long create_at;

    @NotEmpty(message = "{card_front.NotEmpty}", groups = {Insert.class,Update.class})
    private String card_front;

    private String card_obverse;

    private String school_id;

    private String discipline_id;

    private String job_id;

    private String employer;

    private String city;

    private String county;

    private String address;

    private String is_expert;

    private String expert_type;

    private String expert_type_value;
}
