package com.asset.service;

import com.asset.common.Common;
import com.asset.domain.*;
import com.asset.mapper.UserMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.*;

/*
 * @author xiaol
 * @date 2019/12/28
 */
@Service("UserService")
public class UserService implements UserMapper {
    @Autowired
    UserMapper userMapper;

    @Override
    public User getUserById(Integer id) {
        return userMapper.getUserById(id);
    }

    @Override
    public User getUserByName(String name) {
        return userMapper.getUserByName(name);
    }

    @Override
    public List<User> getUserList(Map param) {
        List<User> lists = userMapper.getUserList(param);
        return lists;
    }

    @Override
    public boolean insertUser(User user) {
        user.setCreate_at(Common.getTime());
        userMapper.insertUser(user);

        return true;
    }

    @Override
    public boolean deleteUserById(Integer id) {
        return userMapper.deleteUserById(id);
    }

    @Override
    public boolean updateUser(User user) {
        if(userMapper.updateUser(user)){
            return true;
        }else{
            return false;
        }
    }

}
